%define upstream_name    App-Du-Analyze
%define upstream_version 0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Analyzes and sorts the output of a recursive du
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
analyze-du is a program that analyzes the output of "du ." looking for
directories with a certain prefix, a certain depth and possibly sorting the
output by size. It aims to aid in finding the most space-consuming components
in the directory tree on the disk.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/analyze-du
/usr/share/man/man1/analyze-du.1.xz

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.2.1-3.mga6
+ Revision: 1022542
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.1-2.mga6
+ Revision: 966216
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.2.1-1.mga6
+ Revision: 843057
- update to 0.2.1

* Wed Oct 15 2014 umeabot <umeabot> 0.0.4-4.mga5
+ Revision: 750553
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.4-3.mga5
+ Revision: 683513
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 shlomif <shlomif> 0.0.4-2.mga5
+ Revision: 660150
- she-bang normalisation

* Mon May 05 2014 shlomif <shlomif> 0.0.4-1.mga5
+ Revision: 620305
- update to 0.0.4
- Update the summary, license and description
- imported package perl-App-Du-Analyze


* Thu May 01 2014 cpan2dist 0.0.1-1mga
- initial mageia release, generated with cpan2dist
